Index: squid/ntlm_auth_modules/NTLMSSP/smbval/smblib-priv.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/smbval/Attic/smblib-priv.h,v
retrieving revision 1.1.2.2.2.4
retrieving revision 1.1.2.2.2.5
diff -u -r1.1.2.2.2.4 -r1.1.2.2.2.5
--- squid/ntlm_auth_modules/NTLMSSP/smbval/smblib-priv.h	7 Jan 2001 02:49:32 -0000	1.1.2.2.2.4
+++ squid/ntlm_auth_modules/NTLMSSP/smbval/smblib-priv.h	7 Jan 2001 09:48:29 -0000	1.1.2.2.2.5
@@ -499,89 +505,89 @@
 extern char *SMB_Prots[];
 
 /*
-static char *SMB_Prots[] = {"PC NETWORK PROGRAM 1.0", 
-			    "MICROSOFT NETWORKS 1.03",
-			    "MICROSOFT NETWORKS 3.0",
-			    "DOS LANMAN1.0",
-			    "LANMAN1.0",
-			    "DOS LM1.2X002",
-			    "LM1.2X002",
-			    "DOS LANMAN2.1",
-			    "LANMAN2.1",
-			    "Samba",
-			    "NT LM 0.12",
-			    "NT LANMAN 1.0",
-			    NULL};
-*/
+ * static char *SMB_Prots[] = {"PC NETWORK PROGRAM 1.0", 
+ * "MICROSOFT NETWORKS 1.03",
+ * "MICROSOFT NETWORKS 3.0",
+ * "DOS LANMAN1.0",
+ * "LANMAN1.0",
+ * "DOS LM1.2X002",
+ * "LM1.2X002",
+ * "DOS LANMAN2.1",
+ * "LANMAN2.1",
+ * "Samba",
+ * "NT LM 0.12",
+ * "NT LANMAN 1.0",
+ * NULL};
+ */
 extern int SMB_Types[];
 
 /*
-static int SMB_Types[] = {SMB_P_Core,
-                          SMB_P_CorePlus,
-			  SMB_P_DOSLanMan1,
-			  SMB_P_DOSLanMan1,
-	                  SMB_P_LanMan1,
-			  SMB_P_DOSLanMan2,
-		          SMB_P_LanMan2,
-	 	          SMB_P_LanMan2_1,
-		          SMB_P_LanMan2_1,
-		          SMB_P_NT1,
-		          SMB_P_NT1,
-		          SMB_P_NT1,
-		          -1};
-*/
+ * static int SMB_Types[] = {SMB_P_Core,
+ * SMB_P_CorePlus,
+ * SMB_P_DOSLanMan1,
+ * SMB_P_DOSLanMan1,
+ * SMB_P_LanMan1,
+ * SMB_P_DOSLanMan2,
+ * SMB_P_LanMan2,
+ * SMB_P_LanMan2_1,
+ * SMB_P_LanMan2_1,
+ * SMB_P_NT1,
+ * SMB_P_NT1,
+ * SMB_P_NT1,
+ * -1};
+ */
 typedef struct SMB_Status {
 
-  union {
-    struct {
-      unsigned char ErrorClass;
-      unsigned char Reserved;
-      unsigned short Error;
-    } DosError;
-    unsigned int NtStatus;
-  } status;
+    union {
+	struct {
+	    unsigned char ErrorClass;
+	    unsigned char Reserved;
+	    unsigned short Error;
+	} DosError;
+	unsigned int NtStatus;
+    } status;
 } SMB_Status;
 
-typedef struct SMB_Tree_Structure * SMB_Tree_Handle;
+typedef struct SMB_Tree_Structure *SMB_Tree_Handle;
 
-typedef struct SMB_Connect_Def * SMB_Handle_Type;
+typedef struct SMB_Connect_Def *SMB_Handle_Type;
 
 struct SMB_Connect_Def {
 
-  SMB_Handle_Type Next_Con, Prev_Con;          /* Next and previous conn */
-  int protocol;                                /* What is the protocol   */
-  int prot_IDX;                                /* And what is the index  */
-  void *Trans_Connect;                         /* The connection         */
-
-  /* All these strings should be malloc'd */
-
-  char service[80], username[80], password[80], desthost[80], sock_options[80];
-  char address[80], myname[80];
-
-  SMB_Tree_Handle first_tree, last_tree;  /* List of trees on this server */
-
-  int gid;         /* Group ID, do we need it?                      */
-  int mid;         /* Multiplex ID? We might need one per con       */
-  int pid;         /* Process ID                                    */
-
-  int uid;         /* Authenticated user id.                        */
-
-                   /* It is pretty clear that we need to bust some of */
-                   /* these out into a per TCon record, as there may  */
-                   /* be multiple TCon's per server, etc ... later    */
-
-  int port;        /* port to use in case not default, this is a TCPism! */
-
-  int max_xmit;    /* Max xmit permitted by server                  */
-  int Security;    /* 0 = share, 1 = user                           */
-  int Raw_Support; /* bit 0 = 1 = Read Raw supported, 1 = 1 Write raw */
-  BOOL encrypt_passwords; /* FALSE = don't                          */ 
-  int MaxMPX, MaxVC, MaxRaw;
-  unsigned int SessionKey, Capabilities;
-  int SvrTZ;                                 /* Server Time Zone */
-  int Encrypt_Key_Len;
-  char Encrypt_Key[80], Domain[80], PDomain[80], OSName[80], LMType[40];
-  char Svr_OS[80], Svr_LMType[80], Svr_PDom[80];
+    SMB_Handle_Type Next_Con, Prev_Con;		/* Next and previous conn */
+    int protocol;		/* What is the protocol   */
+    int prot_IDX;		/* And what is the index  */
+    void *Trans_Connect;	/* The connection         */
+
+    /* All these strings should be malloc'd */
+
+    char service[80], username[80], password[80], desthost[80], sock_options[80];
+    char address[80], myname[80];
+
+    SMB_Tree_Handle first_tree, last_tree;	/* List of trees on this server */
+
+    int gid;			/* Group ID, do we need it?                      */
+    int mid;			/* Multiplex ID? We might need one per con       */
+    int pid;			/* Process ID                                    */
+
+    int uid;			/* Authenticated user id.                        */
+
+    /* It is pretty clear that we need to bust some of */
+    /* these out into a per TCon record, as there may  */
+    /* be multiple TCon's per server, etc ... later    */
+
+    int port;			/* port to use in case not default, this is a TCPism! */
+
+    int max_xmit;		/* Max xmit permitted by server                  */
+    int Security;		/* 0 = share, 1 = user                           */
+    int Raw_Support;		/* bit 0 = 1 = Read Raw supported, 1 = 1 Write raw */
+    BOOL encrypt_passwords;	/* FALSE = don't                          */
+    int MaxMPX, MaxVC, MaxRaw;
+    unsigned int SessionKey, Capabilities;
+    int SvrTZ;			/* Server Time Zone */
+    int Encrypt_Key_Len;
+    char Encrypt_Key[80], Domain[80], PDomain[80], OSName[80], LMType[40];
+    char Svr_OS[80], Svr_LMType[80], Svr_PDom[80];
 
 };
 
@@ -599,12 +605,12 @@
 
 struct SMB_Tree_Structure {
 
-  SMB_Tree_Handle next, prev;
-  SMB_Handle_Type con;
-  char path[129];
-  char device_type[20];
-  int mbs;                   /* Local MBS */
-  int tid;
+    SMB_Tree_Handle next, prev;
+    SMB_Handle_Type con;
+    char path[129];
+    char device_type[20];
+    int mbs;			/* Local MBS */
+    int tid;
 
 };
 
@@ -612,13 +618,13 @@
 
 struct SMB_File_Def {
 
-  SMB_Tree_Handle tree;
-  char filename[256];          /* We should malloc this ... */
-  UWORD fid;
-  unsigned int lastmod;
-  unsigned int size;           /* Could blow up if 64bit files supported */
-  UWORD access;
-  off_t fileloc;
+    SMB_Tree_Handle tree;
+    char filename[256];		/* We should malloc this ... */
+    UWORD fid;
+    unsigned int lastmod;
+    unsigned int size;		/* Could blow up if 64bit files supported */
+    UWORD access;
+    off_t fileloc;
 
 };
 
@@ -628,11 +634,11 @@
 
 #ifndef SMBLIB_ERRNO
 extern int SMBlib_errno;
-extern int SMBlib_SMB_Error;          /* last Error             */
+extern int SMBlib_SMB_Error;	/* last Error             */
 #endif
 
 SMB_Tree_Handle SMB_TreeConnect(SMB_Handle_Type con, SMB_Tree_Handle tree,
-				char *path, char *password, char *dev);
+    char *path, char *password, char *dev);
 
 int SMB_Init();
 void SMB_Get_My_Name(char *name, int len);
@@ -640,7 +646,7 @@
 int SMB_Discon(SMB_Handle_Type Con_Handle, BOOL KeepHandle);
 
 int SMB_Logon_Server(SMB_Handle_Type Con_Handle, char *UserName,
-                     char *PassWord, char *UserDomain, int precrypted);
+    char *PassWord, char *UserDomain, int precrypted);
 
 int SMB_Get_Error_Msg(int msg, char *msgbuf, int len);
 
Index: squid/ntlm_auth_modules/NTLMSSP/smbval/smblib-util.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/ntlm_auth_modules/NTLMSSP/smbval/Attic/smblib-util.c,v
retrieving revision 1.1.2.1.2.5
retrieving revision 1.1.2.1.2.6
diff -u -r1.1.2.1.2.5 -r1.1.2.1.2.6
--- squid/ntlm_auth_modules/NTLMSSP/smbval/smblib-util.c	7 Jan 2001 07:54:38 -0000	1.1.2.1.2.5
+++ squid/ntlm_auth_modules/NTLMSSP/smbval/smblib-util.c	7 Jan 2001 09:48:29 -0000	1.1.2.1.2.6
@@ -1,27 +1,27 @@
 /* UNIX SMBlib NetBIOS implementation
-
-   Version 1.0
-   SMBlib Utility Routines
-
-   Copyright (C) Richard Sharpe 1996
-
-*/
+ * 
+ * Version 1.0
+ * SMBlib Utility Routines
+ * 
+ * Copyright (C) Richard Sharpe 1996
+ * 
+ */
 
 /*
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2 of the License, or
-   (at your option) any later version.
-   
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-   
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
-*/
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation; either version 2 of the License, or
+ * (at your option) any later version.
+ * 
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ * 
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ */
 
 #include "smblib-priv.h"
 #include <malloc.h>
@@ -31,160 +31,160 @@
 
 /* global data structures */
 
-static int SMB_Types[] = {SMB_P_Core,
-                          SMB_P_CorePlus,
-                          SMB_P_DOSLanMan1,
-                          SMB_P_DOSLanMan1,
-                          SMB_P_LanMan1,
-                          SMB_P_DOSLanMan2,
-                          SMB_P_LanMan2,
-                          SMB_P_LanMan2_1,
-                          SMB_P_LanMan2_1,
-                          SMB_P_NT1,
-                          SMB_P_NT1,
-                          SMB_P_NT1,
-                          -1};
-
-static char *SMB_Prots[] = {"PC NETWORK PROGRAM 1.0",
-                            "MICROSOFT NETWORKS 1.03",
-                            "MICROSOFT NETWORKS 3.0",
-                            "DOS LANMAN1.0",
-                            "LANMAN1.0",
-                            "DOS LM1.2X002",
-                            "LM1.2X002",
-                            "DOS LANMAN2.1",
-                            "LANMAN2.1",
-                            "Samba",
-                            "NT LM 0.12",
-                            "NT LANMAN 1.0",
-                            NULL};
+static int SMB_Types[] =
+{SMB_P_Core,
+    SMB_P_CorePlus,
+    SMB_P_DOSLanMan1,
+    SMB_P_DOSLanMan1,
+    SMB_P_LanMan1,
+    SMB_P_DOSLanMan2,
+    SMB_P_LanMan2,
+    SMB_P_LanMan2_1,
+    SMB_P_LanMan2_1,
+    SMB_P_NT1,
+    SMB_P_NT1,
+    SMB_P_NT1,
+    -1};
+
+static char *SMB_Prots[] =
+{"PC NETWORK PROGRAM 1.0",
+    "MICROSOFT NETWORKS 1.03",
+    "MICROSOFT NETWORKS 3.0",
+    "DOS LANMAN1.0",
+    "LANMAN1.0",
+    "DOS LM1.2X002",
+    "LM1.2X002",
+    "DOS LANMAN2.1",
+    "LANMAN2.1",
+    "Samba",
+    "NT LM 0.12",
+    "NT LANMAN 1.0",
+    NULL};
 
 /* Print out an SMB pkt in all its gory detail ... */
 
-void SMB_Print_Pkt(FILE fd, RFCNB_Pkt *pkt, BOOL command, int Offset, int Len)
-
+void 
+SMB_Print_Pkt(FILE fd, RFCNB_Pkt * pkt, BOOL command, int Offset, int Len)
 {
 
-  /* Well, just how do we do this ... print it I suppose */
+    /* Well, just how do we do this ... print it I suppose */
 
-  /* Print out the SMB header ...                        */
+    /* Print out the SMB header ...                        */
 
-  /* Print the command                                   */
+    /* Print the command                                   */
 
-  /* Print the other bits in the header                  */
+    /* Print the other bits in the header                  */
 
 
-  /* etc                                                 */
+    /* etc                                                 */
 
 }
 
 /* Convert a DOS Date_Time to a local host type date time for printing */
 
-char *SMB_DOSTimToStr(int DOS_time)
-
-{ static char SMB_Time_Temp[48];
-  int DOS_sec, DOS_min, DOS_hour, DOS_day, DOS_month, DOS_year;
+char *
+SMB_DOSTimToStr(int DOS_time)
+{
+    static char SMB_Time_Temp[48];
+    int DOS_sec, DOS_min, DOS_hour, DOS_day, DOS_month, DOS_year;
 
-  SMB_Time_Temp[0] = 0;
+    SMB_Time_Temp[0] = 0;
 
-  DOS_sec   = (DOS_time & 0x001F) * 2;
-  DOS_min   = (DOS_time & 0x07E0) >> 5;   
-  DOS_hour  = ((DOS_time & 0xF800) >> 11);
+    DOS_sec = (DOS_time & 0x001F) * 2;
+    DOS_min = (DOS_time & 0x07E0) >> 5;
+    DOS_hour = ((DOS_time & 0xF800) >> 11);
 
-  DOS_day   = (DOS_time & 0x001F0000) >> 16;
-  DOS_month = (DOS_time & 0x01E00000) >> 21;
-  DOS_year  = ((DOS_time & 0xFE000000) >> 25) + 80;
+    DOS_day = (DOS_time & 0x001F0000) >> 16;
+    DOS_month = (DOS_time & 0x01E00000) >> 21;
+    DOS_year = ((DOS_time & 0xFE000000) >> 25) + 80;
 
-  sprintf(SMB_Time_Temp, "%2d/%02d/%2d %2d:%02d:%02d", DOS_day, DOS_month,
-	                 DOS_year, DOS_hour, DOS_min, DOS_sec);
+    sprintf(SMB_Time_Temp, "%2d/%02d/%2d %2d:%02d:%02d", DOS_day, DOS_month,
+	DOS_year, DOS_hour, DOS_min, DOS_sec);
 
-  return(SMB_Time_Temp);
+    return (SMB_Time_Temp);
 
 }
 
 /* Convert an attribute byte/word etc to a string ... We return a pointer
-   to a static string which we guarantee is long enough. If verbose is 
-   true, we print out long form of strings ...                            */
+ * to a static string which we guarantee is long enough. If verbose is 
+ * true, we print out long form of strings ...                            */
 
-char *SMB_AtrToStr(int attribs, BOOL verbose)
-
-{ static char SMB_Attrib_Temp[128];
+char *
+SMB_AtrToStr(int attribs, BOOL verbose)
+{
+    static char SMB_Attrib_Temp[128];
 
-  SMB_Attrib_Temp[0] = 0;
+    SMB_Attrib_Temp[0] = 0;
 
-  if (attribs & SMB_FA_ROF) 
-    strcat(SMB_Attrib_Temp, (verbose?"Read Only ":"R"));
+    if (attribs & SMB_FA_ROF)
+	strcat(SMB_Attrib_Temp, (verbose ? "Read Only " : "R"));
 
-  if (attribs & SMB_FA_HID) 
-    strcat(SMB_Attrib_Temp, (verbose?"Hidden ":"H"));
+    if (attribs & SMB_FA_HID)
+	strcat(SMB_Attrib_Temp, (verbose ? "Hidden " : "H"));
 
-  if (attribs & SMB_FA_SYS) 
-    strcat(SMB_Attrib_Temp, (verbose?"System ":"S"));
+    if (attribs & SMB_FA_SYS)
+	strcat(SMB_Attrib_Temp, (verbose ? "System " : "S"));
 
-  if (attribs & SMB_FA_VOL) 
-    strcat(SMB_Attrib_Temp, (verbose?"Volume ":"V"));
+    if (attribs & SMB_FA_VOL)
+	strcat(SMB_Attrib_Temp, (verbose ? "Volume " : "V"));
 
-  if (attribs & SMB_FA_DIR) 
-    strcat(SMB_Attrib_Temp, (verbose?"Directory ":"D"));
+    if (attribs & SMB_FA_DIR)
+	strcat(SMB_Attrib_Temp, (verbose ? "Directory " : "D"));
 
-  if (attribs & SMB_FA_ARC) 
-    strcat(SMB_Attrib_Temp, (verbose?"Archive ":"A"));
+    if (attribs & SMB_FA_ARC)
+	strcat(SMB_Attrib_Temp, (verbose ? "Archive " : "A"));
 
-  return(SMB_Attrib_Temp);
+    return (SMB_Attrib_Temp);
 
 }
 
 /* Pick up the Max Buffer Size from the Tree Structure ... */
 
-int SMB_Get_Tree_MBS(SMB_Tree_Handle tree)
-
+int 
+SMB_Get_Tree_MBS(SMB_Tree_Handle tree)
 {
-  if (tree != NULL) {
-    return(tree -> mbs);
-  }
-  else {
-    return(SMBlibE_BAD);
-  }
+    if (tree != NULL) {
+	return (tree->mbs);
+    } else {
+	return (SMBlibE_BAD);
+    }
 }
 
 /* Pick up the Max buffer size */
 
-int SMB_Get_Max_Buf_Siz(SMB_Handle_Type Con_Handle)
-
+int 
+SMB_Get_Max_Buf_Siz(SMB_Handle_Type Con_Handle)
 {
-  if (Con_Handle != NULL) {
-    return(Con_Handle -> max_xmit);
-  }
-  else {
-    return(SMBlibE_BAD);
-  }
+    if (Con_Handle != NULL) {
+	return (Con_Handle->max_xmit);
+    } else {
+	return (SMBlibE_BAD);
+    }
 
 }
 /* Pickup the protocol index from the connection structure                 */
 
-int SMB_Get_Protocol_IDX(SMB_Handle_Type Con_Handle)
-
+int 
+SMB_Get_Protocol_IDX(SMB_Handle_Type Con_Handle)
 {
-  if (Con_Handle != NULL) {
-    return(Con_Handle -> prot_IDX);
-  }
-  else {
-    return(0xFFFF);  /* Invalid protocol */
-  }
+    if (Con_Handle != NULL) {
+	return (Con_Handle->prot_IDX);
+    } else {
+	return (0xFFFF);	/* Invalid protocol */
+    }
 
 }
 
 /* Pick up the protocol from the connection structure                       */
 
-int SMB_Get_Protocol(SMB_Handle_Type Con_Handle)
-
+int 
+SMB_Get_Protocol(SMB_Handle_Type Con_Handle)
 {
-  if (Con_Handle != NULL) {
-    return(Con_Handle -> protocol);
-  }
-  else {
-    return(0xFFFF);  /* Invalid protocol */
-  }
+    if (Con_Handle != NULL) {
+	return (Con_Handle->protocol);
+    } else {
+	return (0xFFFF);	/* Invalid protocol */
+    }
 
 }
 
@@ -192,32 +192,31 @@
 /* We offered, and the index back from the server. We allow for a user      */
 /* supplied list, and assume that it is a subset of our list                */
 
-int SMB_Figure_Protocol(char *dialects[], int prot_index)
-
-{ int i;
+int 
+SMB_Figure_Protocol(char *dialects[], int prot_index)
+{
+    int i;
 
-  if (dialects == SMB_Prots) { /* The jobs is easy, just index into table */
+    if (dialects == SMB_Prots) {	/* The jobs is easy, just index into table */
 
-    return(SMB_Types[prot_index]);
-  }
-  else { /* Search through SMB_Prots looking for a match */
+	return (SMB_Types[prot_index]);
+    } else {			/* Search through SMB_Prots looking for a match */
 
-    for (i = 0; SMB_Prots[i] != NULL; i++) {
+	for (i = 0; SMB_Prots[i] != NULL; i++) {
 
-      if (strcmp(dialects[prot_index], SMB_Prots[i]) == 0) { /* A match */
+	    if (strcmp(dialects[prot_index], SMB_Prots[i]) == 0) {	/* A match */
 
-	return(SMB_Types[i]);
+		return (SMB_Types[i]);
 
-      }
+	    }
+	}
 
-    }
+	/* If we got here, then we are in trouble, because the protocol was not */
+	/* One we understand ...                                                */
 
-    /* If we got here, then we are in trouble, because the protocol was not */
-    /* One we understand ...                                                */
+	return (SMB_P_Unknown);
 
-    return(SMB_P_Unknown);
-
-  }
+    }
 
 }
 
